List track introduction report matches
curl --request GET \
--url https://api.doozy.live/v1/introductions/report/matches \
--header 'x-api-key: <api-key>'import requests
url = "https://api.doozy.live/v1/introductions/report/matches"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.doozy.live/v1/introductions/report/matches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.doozy.live/v1/introductions/report/matches",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.doozy.live/v1/introductions/report/matches"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.doozy.live/v1/introductions/report/matches")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.doozy.live/v1/introductions/report/matches")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"object": "introduction_match",
"id": "K2CC1FIYz0JGcnCsNbIa:YG9xvAARTy5dpxqFyKpA",
"introduction_id": "H45xq8UBtUJxmSs294Gu",
"instance_id": "K2CC1FIYz0JGcnCsNbIa",
"participants": [
{
"user_id": "06gPNJbvBuM2i8BKRXct",
"slack_user_id": "U1234567890",
"display_name": "John Doe",
"email": "john@example.com",
"department": "Engineering",
"location": "San Francisco, CA",
"manager_name": "Jane Smith",
"manager_email": "jane@example.com"
}
],
"matched_at": "2024-02-01T09:00:00.000Z",
"has_scheduled_event": true,
"scheduled_event_at": "2024-02-01T10:00:00.000Z",
"has_linked_calendar": true,
"has_said_met": false,
"said_met_at": null,
"reminder_sent": true,
"nominated_organiser": {
"user_id": "<string>",
"slack_user_id": "<string>"
},
"feedback": {
"survey_id": "<string>",
"instance_id": "<string>",
"response_count": 123,
"recipient_count": 123,
"status": "scheduled",
"scheduled_at": "2026-02-01T10:30:00.000Z",
"delivered_at": "2026-02-01T10:30:00.000Z",
"anonymous": true,
"responses": [
{
"id": "<string>",
"respondent": {
"user_id": "06gPNJbvBuM2i8BKRXct",
"slack_user_id": "U1234567890",
"display_name": "John Doe",
"email": "john@example.com",
"department": "Engineering",
"location": "San Francisco, CA",
"manager_name": "Jane Smith",
"manager_email": "jane@example.com"
},
"feedback_about": [
{
"user_id": "06gPNJbvBuM2i8BKRXct",
"slack_user_id": "U1234567890",
"display_name": "John Doe",
"email": "john@example.com",
"department": "Engineering",
"location": "San Francisco, CA",
"manager_name": "Jane Smith",
"manager_email": "jane@example.com"
}
],
"responded_at": "2026-02-01T10:30:00.000Z",
"answers": [
{
"question_id": "<string>",
"question_text": "<string>",
"question_type": "scale_1_to_10",
"value": "<string>",
"comment": "<string>"
}
]
}
]
}
}
],
"has_more": true,
"url": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}Introductions
List track introduction report matches
The matches behind a track introduction report, across every introduction the track or step created.
GET
/
v1
/
introductions
/
report
/
matches
List track introduction report matches
curl --request GET \
--url https://api.doozy.live/v1/introductions/report/matches \
--header 'x-api-key: <api-key>'import requests
url = "https://api.doozy.live/v1/introductions/report/matches"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.doozy.live/v1/introductions/report/matches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.doozy.live/v1/introductions/report/matches",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.doozy.live/v1/introductions/report/matches"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.doozy.live/v1/introductions/report/matches")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.doozy.live/v1/introductions/report/matches")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"object": "introduction_match",
"id": "K2CC1FIYz0JGcnCsNbIa:YG9xvAARTy5dpxqFyKpA",
"introduction_id": "H45xq8UBtUJxmSs294Gu",
"instance_id": "K2CC1FIYz0JGcnCsNbIa",
"participants": [
{
"user_id": "06gPNJbvBuM2i8BKRXct",
"slack_user_id": "U1234567890",
"display_name": "John Doe",
"email": "john@example.com",
"department": "Engineering",
"location": "San Francisco, CA",
"manager_name": "Jane Smith",
"manager_email": "jane@example.com"
}
],
"matched_at": "2024-02-01T09:00:00.000Z",
"has_scheduled_event": true,
"scheduled_event_at": "2024-02-01T10:00:00.000Z",
"has_linked_calendar": true,
"has_said_met": false,
"said_met_at": null,
"reminder_sent": true,
"nominated_organiser": {
"user_id": "<string>",
"slack_user_id": "<string>"
},
"feedback": {
"survey_id": "<string>",
"instance_id": "<string>",
"response_count": 123,
"recipient_count": 123,
"status": "scheduled",
"scheduled_at": "2026-02-01T10:30:00.000Z",
"delivered_at": "2026-02-01T10:30:00.000Z",
"anonymous": true,
"responses": [
{
"id": "<string>",
"respondent": {
"user_id": "06gPNJbvBuM2i8BKRXct",
"slack_user_id": "U1234567890",
"display_name": "John Doe",
"email": "john@example.com",
"department": "Engineering",
"location": "San Francisco, CA",
"manager_name": "Jane Smith",
"manager_email": "jane@example.com"
},
"feedback_about": [
{
"user_id": "06gPNJbvBuM2i8BKRXct",
"slack_user_id": "U1234567890",
"display_name": "John Doe",
"email": "john@example.com",
"department": "Engineering",
"location": "San Francisco, CA",
"manager_name": "Jane Smith",
"manager_email": "jane@example.com"
}
],
"responded_at": "2026-02-01T10:30:00.000Z",
"answers": [
{
"question_id": "<string>",
"question_text": "<string>",
"question_type": "scale_1_to_10",
"value": "<string>",
"comment": "<string>"
}
]
}
]
}
}
],
"has_more": true,
"url": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}Authorizations
Query Parameters
Was this page helpful?